Arduino

Reference Language | Libraries | Comparison | Changes

MouseKeyboard

## Keyboard.begin()

#### Description

When used with the Leonardo board, Keyboard.begin() starts emulating a keyboard connected to a computer. To end control, use Keyboard.end().

#### Syntax

Keyboard.begin()

#### Parameters

none

#### Returns

nothing

### Example

void setup() {
// make pin 2 an input and turn on the
// pullup resistor so it goes high unless
// connected to ground:
pinMode(2, INPUT_PULLUP);
Keyboard.begin();
}
void loop() {
//if the button is pressed
if(digitalRead(2)==LOW){
//Send the message
Keyboard.print("Hello!");
}
}
[Get Code]

#### See Also

- Keyboard.end()
- Keyboard.press()
- Keyboard.print()
- Keyboard.println()
- Keyboard.release()
- Keyboard.releaseAll()
- Keyboard.write()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes